n = int(input())
m = int(input())
y1 = int(input())
x1 = int(input())
y2 = int(input())
x2 = int(input())

def dist(a1, b1, a2, b2):
    return abs(a1 - a2) + abs(b1 - b2)

def dist_to_exit(y, x):
    return min(dist(y, x, y1, x1), dist(y, x, y2, x2))

for y in range(1, n + 1):
    for x in range(1, m + 1):
        curr_dist = dist_to_exit(y, x)
        if curr_dist == 0:
            move = 'S'
        else:
            for c, dy, dx in [('^', -1, 0), ('v', 1, 0), ('<', 0, -1), ('>', 0, 1)]:
                if dist_to_exit(y + dy, x + dx) < curr_dist:
                    move = c
        print(move, end='')
    print()
